using System;
using System.Collections.Generic;
using System.Text;

namespace Nirvana.Common
{
    public interface ICaches
    {
        T GetCache<T>(string cacheKey) where T : class;
        void WriteCache<T>(T value, string cacheKey) where T : class;
        void WriteCache<T>(T value, string cacheKey, DateTime expireTime) where T : class;
        void RemoveCache(string cacheKey);
    }
}
